/*  frmUpdater.cs $
 	
 	   This file is part of the HandBrake source code.
 	   Homepage: <http://handbrake.fr>.
 	   It may be used under the terms of the GNU General Public License. */

/*
 * This file come from HandBrake source code by http://handbrake.fr/ , 
 * and modified by hylom <hylomm@gmail.com> for HandBrake Japanese version.
 * It may be used under the terms of the GNU General Public License.
 * last modified date: Tue Jan 5 19:19:44 2010 +0900
 */


using System;
using System.Windows.Forms;
using Handbrake.Functions;

namespace Handbrake
{
    public partial class frmUpdater : Form
    {
        AppcastReader appcast;
        public frmUpdater(AppcastReader reader)
        {
            InitializeComponent();

            appcast = reader;
            getRss();
            setVersions();
        }

        private void getRss()
        {
            wBrowser.Url = appcast.descriptionUrl;
        }

        private void setVersions()
        {
            string old = "(現在のバージョンは " + Properties.Settings.Default.hb_version.Trim() + " / " + Properties.Settings.Default.hb_build.ToString().Trim() + "です)";
            string newBuild = appcast.version.Trim() + " (" + appcast.build + ")";
            lbl_update_text.Text = "HandBrake " + newBuild + " が利用可能です。 " + old;
        }

        private void btn_installUpdate_Click(object sender, EventArgs e)
        {
            frmDownload download = new frmDownload(appcast.downloadFile);
            download.ShowDialog();
            this.Close();
        }

        private void btn_remindLater_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void btn_skip_Click(object sender, EventArgs e)
        {
            Properties.Settings.Default.skipversion = int.Parse(appcast.build);
            Properties.Settings.Default.Save();

            this.Close();
        }

    }
}